openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/RSDRI_ODSO_DELETE_RFC:
    post:
      tags:
      - RSDRI_ODSO
      summary: Deletes Data Records in a Transactional ODS Object (RFC Version)
      operationId: /rfc/RSDRI_ODSO_DELETE_RFC
      requestBody:
        content:
          application/json:
            schema:
              properties:
                I_DELETE_ALL:
                  type: string
                  maxLength: 1
                  description: Delete All Table Entries
                I_ODSOBJECT:
                  type: string
                  maxLength: 30
                  description: ODS Object
                I_T_RANGE:
                  type: array
                  items:
                    type: object
                    properties:
                      IOBJNM:
                        type: string
                        maxLength: 30
                        description: InfoObject
                      SIGN:
                        type: string
                        maxLength: 1
                        description: 'Selection criteria: SIGN'
                      OPT:
                        type: string
                        maxLength: 2
                        description: 'Selection criteria: OPTION'
                      LOW:
                        type: string
                        maxLength: 45
                        description: 'Selection criteria: From value'
                      HIGH:
                        type: string
                        maxLength: 45
                        description: 'Selection criteria: To value'
              required:
              - I_ODSOBJECT
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  E_NUMROWS:
                    type: integer
                    format: int32
                    description: Number of deleted records
                  I_T_RANGE:
                    type: array
                    items:
                      type: object
                      properties:
                        IOBJNM:
                          type: string
                          maxLength: 30
                          description: InfoObject
                        SIGN:
                          type: string
                          maxLength: 1
                          description: 'Selection criteria: SIGN'
                        OPT:
                          type: string
                          maxLength: 2
                          description: 'Selection criteria: OPTION'
                        LOW:
                          type: string
                          maxLength: 45
                          description: 'Selection criteria: From value'
                        HIGH:
                          type: string
                          maxLength: 45
                          description: 'Selection criteria: To value'
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
